<div class="jumbotron">
  <div class="container">
    <h3>Schedule a new event</h3>
    <form name="form" (ngSubmit)="f.form.valid && saveEvent()" #f="ngForm" novalidate>
      <!-- row -->
      <div class="row">                            
        <div class="col-md-6">
          <div class="form-group">
              <label for="firstName">Event title<span class="red">*</span></label>
              <input type="text" class="form-control" name="firstName" [(ngModel)]="model.firstName" #firstName="ngModel" [ngClass]="{ 'is-invalid': f.submitted && firstName.invalid }" required />
              <div *ngIf="f.submitted && firstName.invalid" class="invalid-feedback">
                  <div *ngIf="firstName.errors.required">Event title is required</div>
              </div>
          </div>                                    
        </div>                                
      </div>
      <!-- row -->
      <div class="row">                            
          <div class="col-md-6">
            <div class="form-group">
                <label for="zone">Time zone</label>
                
                <select type="text" class="form-control" name="zone" [(ngModel)]="model.zone" #zone="ngModel" [ngClass]="{ 'is-invalid': f.submitted && zone.invalid }">                
                  <option>Indian standard time (Asia/Kolkata)</option>
                  <option>Blah blah</option>
                </select>
                <!--<ngb-timepicker name="testtimepicker" [(ngModel)]="time"></ngb-timepicker>
                <pre>Selected time: {{time | json}}</pre>-->

            </div>                                    
          </div>
          <div class="col-md-3">
              <div class="form-group">
                  <label for="run">Run window</label>
                  <ng-template #fromTimeTemp>
                      <timepicker [(ngModel)]="model.from" name="from" [showMeridian]="false"></timepicker>
                    </ng-template>
                  <div class="input-group">
                    <input class="form-control" placeholder="yyyy-mm-dd" 
                            name="dp" value="{{model.from | date: 'HH:mm'}}" >
                    <div class="input-group-append">    
                      <i class="btn btn-outline-secondary far fa-clock" aria-hidden="true"  [outsideClick]="true" placement="bottom"  [popover]="fromTimeTemp"></i>                    
                    </div>
                  </div>
                  
              </div>                                    
            </div>
            <div class="col-md-3">
                <div class="form-group">
                    <label for="run2">&nbsp;</label>
                    <ng-template #toTimeTemp>
                        <timepicker [(ngModel)]="model.to" name="to" [showMeridian]="false"></timepicker>
                      </ng-template>
                    <div class="input-group">
                      <input class="form-control" placeholder="yyyy-mm-dd" 
                              name="dp" value="{{model.to | date: 'HH:mm'}}" >
                      <div class="input-group-append">
                        <i class="btn btn-outline-secondary far fa-clock" [outsideClick]="true" placement="bottom"  [popover]="toTimeTemp" ></i>
                        
                      </div>
                    </div>
                </div>                                    
              </div>                                
        </div>
        <!-- row -->
      <div class="row">                            
          <div class="col-md-12">
            <div class="form-group">
                <label >Select Days<span class="red">*</span></label>
                <label *ngFor="let day of model.days;let i = index;">
                    <input type="checkbox" name="dayField" [(ngModel)]="model.days[i].checked" value="{{day.value}}" requried/> {{day.displayName}}
                </label>
                <!--<div *ngIf="f.submitted && dayField.invalid" class="invalid-feedback">
                    <div *ngIf="dayField.errors.required">Day is required</div>
                </div>-->
                
            </div>                                    
          </div>                                
        </div>

        <!-- row -->
      <div class="row">                            
          <div class="col-md-12">
            <div class="form-group">
                <label >Add guests<span class="red">*</span></label>
                
                <mat-form-field class="example-chip-list">
                    <mat-chip-list #chipListGuest >
                      <mat-chip *ngFor="let guest of model.guests" [selectable]="selectable"
                               [removable]="removable" (removed)="removeGuest(guest)"
                               [color]="guest.color" [ngClass]="getColor(guest)">
                        {{guest.name}}
                        <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                      </mat-chip>
                      <input placeholder="New guest..."
                             [matChipInputFor]="chipListGuest"
                             [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                             [matChipInputAddOnBlur]="addOnBlur"
                             (matChipInputTokenEnd)="addGuest($event)">
                             
                    </mat-chip-list>
                  </mat-form-field>
                  
                <div  class="invalid-feedback">
                    <div *ngIf="showGuestsError">Guests are required</div>
                </div>
            </div>                                    
          </div>                                
        </div>

        <!-- row -->
      <div class="row">                            
          <div class="col-md-12">
            <div class="form-group">
                <p for="firstName">Guests can</p>
                
                <label *ngFor="let guest of model.guestsCan;let i = index;">
                    <input type="checkbox" name="{{guest.value}}" [(ngModel)]="model.guestsCan[i].checked" value="{{guest.value}}"/> {{guest.displayName}}
                </label>
                
            </div>                                    
          </div>                                
        </div>

        <!-- row -->
      <div class="row">                            
          <div class="col-md-12">
            <div class="form-group">
                <p>Notification type </p>                
                <!--<mat-radio-group aria-label="Select an option" name="notificationType"  [(ngModel)]="model.notificationType">
                    <mat-radio-button [value]="email">Email notification</mat-radio-button>
                    <mat-radio-button [value]="sms">SMS notification</mat-radio-button>
                  </mat-radio-group>
                --> 
                <label>
                    <input type="radio"  name="notificationType" [(ngModel)]="model.notificationType" [value]="email"/> Email notification
                    <span class="checkmark"></span>
                </label>
                <label>
                    <input type="radio" name="notificationType" [(ngModel)]="model.notificationType" [value]="sms"/> SMS notification
                    <span class="checkmark"></span>
                </label>
                <!--<main>
                  
                  <div class="tooltip" data-direction="right">
                    <div class="tooltip__initiator">
                     
                      <i class="fa fa-info-circle"></i>
                      hello
                    </div>
                    <div class="tooltip__item">
                      Hello! I'm a pure css tooltip
                    </div>
                  </div>
                </main>-->
                

            </div>                                    
          </div>                                
        </div>

        <!-- row -->
      <div class="row">                            
          <div class="col-md-6">
            <div class="form-group">
                <label >Notification start times<span class="red">*</span></label>
                <ng-template #notifyOverlay>
                    <timepicker [(ngModel)]="notifyTimeAdd" name="notifyTimeAdd" [showMeridian]="false"></timepicker>
                    <button class="btn btn-primary"  (click)='pop2.hide();addNotify()'>Add</button>
                </ng-template>
                <ng-template #notifyOverlayEach>
                    <timepicker [(ngModel)]="notifyTimeAddEach" name="notifyTimeAdd" [showMeridian]="false"></timepicker>
                    <button class="btn btn-primary"  (click)='addNotifyEach();pop3.hide();'>Ok</button>
                </ng-template>                
                <mat-form-field class="example-chip-list input-group">
                    <mat-chip-list #chipListNot>
                      <mat-chip *ngFor="let not of model.notTimes;let i = index;" [selectable]="selectableNot"
                               [removable]="removableNot" (removed)="removeNot(not)" (click)="addEachToModel(not,i)"
                               [outsideClick]="true" #pop3="bs-popover" placement="top"  [popover]="notifyOverlayEach">
                        {{not | date: 'HH:mm'}}
                        <mat-icon matChipRemove *ngIf="removableNot">cancel</mat-icon>
                      </mat-chip>
                      <input placeholder="New time..."
                             [matChipInputFor]="chipListNot"
                             [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                             [matChipInputAddOnBlur]="addOnBlurNot"
                             (matChipInputTokenEnd)="addNot($event)">
                      <div class="input-group-append">  
                          <i class="btn btn-outline-secondary far fa-clock"  [outsideClick]="true" #pop2="bs-popover" placement="bottom"  [popover]="notifyOverlay"></i>                      
                        
                      </div>
                    </mat-chip-list>
                  </mat-form-field>
                <div *ngIf="f.submitted && firstName.invalid" class="invalid-feedback">
                    <div *ngIf="firstName.errors.required">time is required</div>
                </div>
            </div>                                    
          </div>                                
        </div>

        <!-- row -->
      <div class="row">                            
          <div class="col-md-12">
            <div class="form-group">
                <label for="firstName">Message</label>
                <textarea class="form-control message" placeholder="Write description for email message" name="message" [(ngModel)]="model.message" #message="ngModel" [ngClass]="{ 'is-invalid': f.submitted && message.invalid }" ></textarea>
                <div *ngIf="f.submitted && firstName.invalid" class="invalid-feedback">
                    <div *ngIf="firstName.errors.required">Event title is required</div>
                </div>
            </div>                                    
          </div>                                
        </div>

      <div class="form-group pull-right">
          <button class="btn">Cancel</button>
          <button class="btn btn-primary" (click)="saveEvent()">Save event</button>    
          
          
              
      </div>
    </form>
  </div>
</div>